import request from '@/utils/request'

// 查询录取批次列表
export function listMallBatch(query) {
  return request({
    url: '/mall/mallBatch/list',
    method: 'get',
    params: query
  })
}

// 查询录取批次详细
export function getMallBatch(mallBatchId) {
  return request({
    url: '/mall/mallBatch/' + mallBatchId,
    method: 'get'
  })
}

// 新增录取批次
export function addMallBatch(data) {
  return request({
    url: '/mall/mallBatch',
    method: 'post',
    data: data
  })
}

// 修改录取批次
export function updateMallBatch(data) {
  return request({
    url: '/mall/mallBatch',
    method: 'put',
    data: data
  })
}

// 删除录取批次
export function delMallBatch(mallBatchId) {
  return request({
    url: '/mall/mallBatch/' + mallBatchId,
    method: 'delete'
  })
}

// 所有批次列表
export function selectAllBatchList(mallBatchId) {
  return request({
    url: '/mall/mallBatch/selectAllBatchList',
    method: 'get'
  })
}
